Summary: Tool for doing sets of merges on templates within a directory tree
Name: smudge
Version: 0.6.4
Release: 1.of
Copyright: GPL
Group: Utilities/System
Source: http://www.openfusion.com.au/labs/dist/%{name}-%{version}.tar.gz
URL: http://www.openfusion.com.au/labs/smudge/
Packager: Gavin Carr <gavin@openfusion.com.au>
Buildroot: %_tmppath/%{name}-%{version}
Requires: perl
BuildRequires: perl
AutoReq: no

%description
smudge is a tool for merging a set of data into multiple templates within a
directory tree, producing a new merged output file for every template it 
finds. Merged output files can be located in the original tree, or they can
be saved to a completely new tree that preserves the original's directory
structure.

%prep
%setup

%build

%install
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/Template
cp -p smudge $RPM_BUILD_ROOT/usr/bin
cp -p Template/SmudgeStash.pm $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/Template
pod2man --section=1 -r "smudge $RPM_PACKAGE_VERSION" smudge > $RPM_BUILD_ROOT/usr/share/man/man1/smudge.1
pod2text smudge > $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/README

%post
# This is an ugly hack, but the install location need to be dependent on the 
#   installed perl version, not my build one.
PLIB=`perl -MConfig -le 'print $Config{sitelib}'`
if [ -n "$PLIB" ]; then
  mkdir -p $PLIB/Template
# echo cp /usr/share/doc/%{name}-%{version}/Template/SmudgeStash.pm ${PLIB}/Template
  cp /usr/share/doc/%{name}-%{version}/Template/SmudgeStash.pm ${PLIB}/Template
fi

%files
%defattr(-,root,root)
/usr

%changelog

* Mon Jul 04 2005 Gavin Carr <gavin@openfusion.com.au>

- Updated SmudgeStash to properly distinguish between empty and undefined variables.
- Increased version number to 0.6.4.

* Tue Jun 21 2005 Gavin Carr <gavin@openfusion.com.au>

- Remove bogus outfile on undefined variables.
- Replace -M with stat() to fix timestamp checks not working.
- Increased version number to 0.6.3.

* Mon May 23 2005 Gavin Carr <gavin@openfusion.com.au>

- Make undefined variables a fatal condition, rather than just a warning.
- Increased version number to 0.6.2.

* Wed Feb 09 2005 Gavin Carr <gavin@openfusion.com.au>

- Fix truncation problem with undefined variable warnings.
- Increased version number to 0.6.1.

* Mon Feb 07 2005 Gavin Carr <gavin@openfusion.com.au>

- Added warnings on undefined variables via subclass Template::SmudgeStash.
- Added -F|--force support, to force output, ignoring timestamps.
- Increased version number to 0.6.

* Wed Jan 19 2005 Gavin Carr <gavin@openfusion.com.au>

- Allow multiple data files instead of one, merging in the order given.
- Made tree an option (-i, --tree) rather than a parameter.
- Changed option names around a bit.
- Increased version number to 0.5.

* Thu Jan 13 2005 Gavin Carr <gavin@openfusion.com.au>

- Added -x|--exclude support, to omit directories/files.
- Increased version number to 0.4.

* Tue Jan 04 2005 Gavin Carr <gavin@openfusion.com.au>

- Change from using Getopt::Std to Getopt::Long to allow multiple -t template
  suffix arguments.
- Increased version number to 0.3.

* Mon Nov 22 2004 Gavin Carr <gavin@openfusion.com.au>

- Simplified template-regex to template-suffix, and outformat to always 
  be a sprintf pattern.
- Added outputdir, allowing output files to saved into a separate tree.
- Increased version number to 0.2.

* Wed Nov 17 2004 Gavin Carr <gavin@openfusion.com.au>

- Initial package of version 0.1.


